## cascading.flow.stream
Class MemorySpliceGate.DelegatedTuple

    java.lang.Object
      cascading.tuple.Tuple
          cascading.flow.stream.MemorySpliceGate.DelegatedTuple

All Implemented Interfaces:
  Serializable, Comparable<Object>, Iterable<Object>

Enclosing class:
  MemorySpliceGate

    protected class MemorySpliceGate.DelegatedTuple

extends Tuple

See Also:
  Serialized Form

Field Summary

Fields inherited from class cascading.tuple.Tuple
`elements, isUnmodifiable, NULL`

Constructor Summary
`MemorySpliceGate.DelegatedTuple(Tuple wrapped)`

Method Summary
`int` `compareTo(Object other)` Method compareTo implements the `Comparable.compareTo(Object)` method.
`boolean` `equals(Object object)`
`int` `hashCode()`

Methods inherited from class cascading.tuple.Tuple

`add, add, addAll, addAll, addBoolean, addDouble, addFloat, addInteger, addLong, addShort, addString, append, clear, compareTo, compareTo, elements, format, get, get, get, getBoolean, getChar, getDouble, getFloat, getInteger, getLong, getObject, getPos, getShort, getString, getTypes, internalSet, isEmpty, isUnmodifiable, iterator, leave, parse, print, printTo, put, remove, remove, set, set, set, setAll, setAll, setBoolean, setDouble, setFloat, setInteger, setLong, setShort, setString, size, size, size, toString, toString, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### MemorySpliceGate.DelegatedTuple

    public MemorySpliceGate.DelegatedTuple(Tuple wrapped)

Method Detail

### equals

    public boolean equals(Object object)

  Overrides:
    `equals` in class `Tuple`

### compareTo

    public int compareTo(Object other)

  Description copied from class: `Tuple`
  Method compareTo implements the `Comparable.compareTo(Object)` method.

  Specified by:
    `compareTo` in interface `Comparable<Object>`
  Overrides:
    `compareTo` in class `Tuple`
  Parameters:
    `other` - of type Object
  Returns:
    int

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Tuple`

Copyright © 2007-2014 Concurrent, Inc. All Rights Reserved.